## org.ascape.util.vis
Interface Drawable

All Known Implementing Classes:
  DrawSymbol

    public interface Drawable

An interface for a class that is capable of drawing itself into a graphics context with a defined area.

Since:
  1.0
Version:
  1.0
Author:
  Miles Parker

Method Summary
`void` `draw(org.eclipse.draw2d.Graphics g, int width, int height)` Draws a graphic interpretation of this object, or a delegate to this object.

Method Detail

### draw

    void draw(org.eclipse.draw2d.Graphics g,
              int width,
              int height)

  Draws a graphic interpretation of this object, or a delegate to this object. within the supplied dimensions, assuming origin as {0, 0}.

  Parameters:
    `g` - the Graphics context to draw into
    `width` - the width of the space that should be drawn into
    `height` - the height of the space that should be drawn into